> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Schedule Override



## OpenAPI

````yaml POST /api/v1/on-call/schedules/{id}/overrides
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/on-call/schedules/{id}/overrides:
    post:
      tags:
        - on-call
      summary: Create a schedule override
      operationId: ScheduleController_createOverride_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOverrideDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    CreateOverrideDto:
      type: object
      properties:
        userId:
          type: string
        startAt:
          type: string
          format: date-time
        endAt:
          type: string
          format: date-time
        reason:
          type: string
      required:
        - userId
        - startAt
        - endAt
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````